Bug 242897 - Can't find Areca volume during installation Fedora 7
Can't find Areca volume during installation Fedora 7
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity urgent
: ---
: ---
Assigned To: Anaconda Maintenance Team
Brian Brock
Depends On:
Blocks: 248892
  Show dependency treegraph
Reported: 2007-06-06 06:02 EDT by nickcheng
Modified: 2008-06-16 21:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:27:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description nickcheng 2007-06-06 06:02:15 EDT
Description of problem:
Can't load Areca SATA RAID driver as installing Fedora 7
But after installation we could find Areca driver module by lsmod command

Actual results:
Can't not find the SATA RAID volume to be the target volume to install the OS on

Expected results:
It should find Areca volumes and select to install the OS during early stage of

Additional info:
This happens on i386/x86_64 plateform and gets no dmesg for alarm.
Comment 1 nickcheng 2007-06-07 23:44:08 EDT
Anybody takes charge in this bug?
Areca driver has been adapted by kernel.org from v2.6.19 since.
This driver is backporting to RHEL4.6,
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=233399, and RHEL5.1, 
Please take a look at this issue.
Comment 2 Chuck Ebbert 2007-06-08 18:11:22 EDT
This is probably an installer issue.

Does the driver work after the system is installed onto some other
Comment 3 nickcheng 2007-06-08 23:08:51 EDT
Yes, it works as a module after the system boots up.
But as you know it can't load the system onto Areca RAID volume during
installation configuration.
Thank you for prompt reply.
Comment 4 nickcheng 2007-06-20 00:18:41 EDT
Hi Chuck,
Does this issue been settled?
There are still a lot of customers suffering this issue.
What shall I account to them?
Comment 5 Chuck Ebbert 2007-06-20 10:59:18 EDT
Looks like an anaconda problem. Does it even try to load the driver during
Comment 6 Chris Lumens 2007-06-20 13:13:32 EDT
This module was added to anaconda-  Is it better in post-F7 rawhide?
Comment 7 nickcheng 2007-06-20 21:08:00 EDT
I tried it on Fedora core 7, kernel-2.6.21-1.3194.fc7.
I have never used the said "post-F7 rawhide" before.
Where can I download its ISO for DVD?
Comment 8 nickcheng 2007-06-21 04:03:15 EDT
If there is a problem on anaconda, what is the measures for the customers to
install FC7 on Areca RAID volume?
Comment 9 Chris Lumens 2007-06-21 09:48:32 EDT
No ISO images are currently made for Rawhide, though we may start making
periodic images available.  For now, the development tree can be found at 
http://download.fedora.redhat.com/pub/fedora/linux/development/.  Note that it
is not always installable as this is the development tree and things change and
break pretty often.
Comment 10 nickcheng 2007-06-21 21:37:47 EDT
(In reply to comment #9)
> No ISO images are currently made for Rawhide, though we may start making
> periodic images available.  For now, the development tree can be found at 
> http://download.fedora.redhat.com/pub/fedora/linux/development/.  Note that it
> is not always installable as this is the development tree and things change and
> break pretty often.

Hi Chris,
If I would try as your suggestion, what shall I do?
BTW, do you have any comments with #8?
Comment 11 nickcheng 2007-06-21 22:37:28 EDT
I just find something interesting.
I made a driver floppy for Areca RAID drivers.
During installation, I prompted with "linux dd" and the console displayed
"modules to insert forcedeth arcmsr libata sata_nv pata_amd" and "load module
set done".
It seems the driver floppy for Areca drivers works, right???
And then the prompt dialog asked me "Installation Method".
I chose "Local CDROM".
Subsequently, it reflected with "No driver found".
I have never been asked that during installation directly without "linux dd"
I guess it is very easy to find the DVD ROM driver buring installation directly.

It is unusual.
Do you guys have any comments?
Comment 12 nickcheng 2007-06-24 22:56:20 EDT
What else should I do to help you verify the issue?
Suppose the issue is from the installer, what will you do to help the users that
install the driver on the Areca RAID volume?
I need a statement to explain to the customers and decide what Areca shall act.

Comment 13 Chris Lumens 2007-06-25 10:31:20 EDT
I think we fixed the driver disk problem you were seeing on Friday.  Just do an
FTP or HTTP install of the development tree of Fedora using the URL I gave you
earlier and see if that works.
Comment 14 nickcheng 2007-06-25 22:08:59 EDT
As you said, there is not image for the development version.
The only it has are separate files.
Would you please tell me which files that I should collect to test if it works?
Sorry, I am weak at the details of the installation context and process.
If you could provide any application notes or white papers  at your convenience,
I appreciate it.
Comment 15 Chris Lumens 2007-06-26 10:09:22 EDT
This page has some information:  http://fedoraproject.org/wiki/Releases/Rawhide.
 Basically you just need to download the boot.iso from that tree, burn it, boot
it, and point the installer at one of the mirrors for an HTTP or FTP install.
Comment 17 Bug Zapper 2008-05-14 08:51:20 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2008-06-16 21:27:09 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.